# dask.dataframe.Series.rename

Series.rename(index=None, inplace=<no_default>, sorted_index=False)

  Alter Series index labels or name

  Function / dict values must be unique (1-to-1). Labels not contained in a dict / Series will be left as-is. Extra labels listed don’t throw an error.

  Alternatively, change `Series.name` with a scalar value.

  Parameters:
    index scalar, hashable sequence, dict-like or callable, optional

      If dict-like or callable, the transformation is applied to the index. Scalar or hashable sequence-like will alter the `Series.name` attribute.

    inplace boolean, default False

      Whether to return a new Series or modify this one inplace.

    sorted_index bool, default False

      If true, the output `Series` will have known divisions inferred from the input series and the transformation. Ignored for non-callable/dict-like `index` or when the input series has unknown divisions. Note that this may only be set to `True` if you know that the transformed index is monotonically increasing. Dask will check that transformed divisions are monotonic, but cannot check all the values between divisions, so incorrectly setting this can result in bugs.

  Returns:
    renamed Series

  See also

  `pandas.Series.rename`